package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"variable", "connectiontype", "connectionsubtype", "connectionnumber", "connectionname", "cnxrefname", "attribute"}
)
@XmlRootElement(
   name = "CONNECTIONREFERENCE"
)
public class CONNECTIONREFERENCE {
   @XmlAttribute(
      name = "CNXREFNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String cnxrefname;
   @XmlAttribute(
      name = "CONNECTIONTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String connectiontype;
   @XmlAttribute(
      name = "CONNECTIONSUBTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String connectionsubtype;
   @XmlAttribute(
      name = "CONNECTIONNUMBER",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String connectionnumber;
   @XmlAttribute(
      name = "CONNECTIONNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String connectionname;
   @XmlAttribute(
      name = "PARTITIONNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String partitionname;
   @XmlAttribute(
      name = "VARIABLE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String variable;
   @XmlAttribute(
      name = "COMPONENTVERSION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String componentversion;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;

   public String getCNXREFNAME() {
      return this.cnxrefname;
   }

   public void setCNXREFNAME(String value) {
      this.cnxrefname = value;
   }

   public String getCONNECTIONTYPE() {
      return this.connectiontype;
   }

   public void setCONNECTIONTYPE(String value) {
      this.connectiontype = value;
   }

   public String getCONNECTIONSUBTYPE() {
      return this.connectionsubtype;
   }

   public void setCONNECTIONSUBTYPE(String value) {
      this.connectionsubtype = value;
   }

   public String getCONNECTIONNUMBER() {
      return this.connectionnumber;
   }

   public void setCONNECTIONNUMBER(String value) {
      this.connectionnumber = value;
   }

   public String getCONNECTIONNAME() {
      return this.connectionname;
   }

   public void setCONNECTIONNAME(String value) {
      this.connectionname = value;
   }

   public String getPARTITIONNAME() {
      return this.partitionname;
   }

   public void setPARTITIONNAME(String value) {
      this.partitionname = value;
   }

   public String getVARIABLE() {
      return this.variable;
   }

   public void setVARIABLE(String value) {
      this.variable = value;
   }

   public String getCOMPONENTVERSION() {
      return this.componentversion;
   }

   public void setCOMPONENTVERSION(String value) {
      this.componentversion = value;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }
}
